Bug 104498 - missing entries in ports/multimedia/pvrxxx/distinfo
missing entries in ports/multimedia/pvrxxx/distinfo
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2006-10-17 17:20 UTC by exil
Modified: 2006-12-31 15:00 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description exil 2006-10-17 17:20:17 UTC
Entries for pvrxxx_gpl.tgz and HcwMakoA.ROM are missing, thus after fetching pvrxxx_gpl.tgz

bash-2.05b# make
===>  Extracting for pvrxxx-20060822
=> MD5 Checksum OK for cxm-20051030.shar.
=> SHA256 Checksum OK for cxm-20051030.shar.
=> MD5 Checksum OK for pvr250-1.2.tar.gz.
=> SHA256 Checksum OK for pvr250-1.2.tar.gz.
=> No MD5 checksum recorded for HcwMakoA.ROM.
=> No SHA256 checksum recorded for HcwMakoA.ROM.
=> No suitable checksum found for HcwMakoA.ROM.
=> MD5 Checksum OK for pvrxxx_gpl.tgz.
=> SHA256 Checksum OK for pvrxxx_gpl.tgz.
*** Error code 1

Stop in /usr/ports/multimedia/pvrxxx.

After fixing distinfo (see below), it works fine and only problems beyond
my capacity, as I know it, remain:

bash-2.05b# make
===>  Extracting for pvrxxx-20060822
===>  Configuring for pvrxxx-20060822
cd /usr/ports/multimedia/pvrxxx/work/dev/cxm;  cc -Wall -o cxm_extract_fw cxm_ex
tract_fw.c;  ./cxm_extract_fw /usr/ports/distfiles/hcwPVRP2.sys;  cd ../../modul
es/cxm/cxm;  ../../../dev/cxm/cxm_extract_fw /usr/ports/distfiles/HcwMakoA.ROM;
cxm_extract_fw.c: In function `main':
cxm_extract_fw.c:157: warning: implicit declaration of function `close'
cxm_extract_fw.c:185: warning: suggest explicit braces to avoid ambiguous `else'
cxm_extract_fw.c:199: warning: suggest explicit braces to avoid ambiguous `else'
===>  Building for pvrxxx-20060822
cd /usr/ports/multimedia/pvrxxx/work/modules/cxm; make
===> cxm (all)
Warning: Object directory not changed from original /usr/ports/multimedia/pvrxxx
@ -> /misc/shared/FreeBSD/6/src/sys
machine -> /misc/shared/FreeBSD/6/src/sys/i386/include
touch opt_cxm.h
cc -O2 -fno-strict-aliasing -pipe -msse -march=athlon-mp -mno-sse2 -march=athlon
-mp -Werror -D_KERNEL -DKLD_MODULE -nostdinc -I-  -I../../.. -I. -I@ -I@/contrib
/altq -I@/../include -I/usr/include -finline-limit=8000 -fno-common  -mno-align-
long-strings -mpreferred-stack-boundary=2  -mno-mmx -mno-3dnow -mno-sse -mno-sse
2 -ffreestanding -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  -
Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -fformat-extensions -s
td=c99 -c /usr/ports/multimedia/pvrxxx/work/modules/cxm/cxm/../../../dev/cxm/cxm
In function `cxm_msp_dpl_write':
80: warning: passing arg 2 of `iicbus_write' discards qualifiers from pointer ta
rget type
*** Error code 1

Stop in /usr/ports/multimedia/pvrxxx/work/modules/cxm/cxm.
*** Error code 1

Stop in /usr/ports/multimedia/pvrxxx/work/modules/cxm.
*** Error code 1

Stop in /usr/ports/multimedia/pvrxxx.


For current version: fetch http://www.mavetju.org/download/pvrxxx_gpl.tgz manually and insert 

SIZE (pvrxxx_gpl.tgz) = 45136
MD5 (pvrxxx_gpl.tgz) = 4eb63d7896c2b71d5a4ed54c1888f572
SHA256 (pvrxxx_gpl.tgz) = f71c382175e48526fa7f4820d028d1aa67c4c3414994bc6dc03d10a6e6da00ea
SIZE (HcwMakoA.ROM) = 14264
MD5 (HcwMakoA.ROM) = 3a4803384f749d644ee1f1ca9dcb12fa
SHA256 (HcwMakoA.ROM) = cfd4a8ad9e814c65070b8d45ba56e576391df1d2945ee4ea000d0f81cd8df278

into /usr/ports/multimedia/pvrxxx/distinfo
How-To-Repeat: cd /usr/ports/multimedia/pvrxxx && make
Comment 1 Edwin Groothuis freebsd_committer 2006-10-17 17:20:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Gabor Kovesdan freebsd_committer 2006-12-26 00:11:07 UTC
State Changed
From-To: feedback->open

Maintainer timeout.
Comment 3 pav freebsd_committer 2006-12-31 14:45:27 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2006-12-31 14:51:13 UTC
pav         2006-12-31 14:51:07 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/pvrxxx    distinfo 
  - Add missing entries to distinfo
  PR:             ports/104498
  Submitted by:   Kenneth Lind <exil@solace.miun.se>
  Approved by:    maintainer timeout (1 month)
  Revision  Changes    Path
  1.10      +6 -0      ports/multimedia/pvrxxx/distinfo
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"